﻿using System.Linq;
using System.Net.Mail;
using System.Text;

namespace Palmmedia.FeedSubscriberCounter
{
    /// <summary>
    /// Reports statistics by sending an email.
    /// </summary>
    public class EmailFeedSubscriberNotifier : IFeedSubscriberNotifier
    {
        /// <summary>
        /// Reports the statistics.
        /// </summary>
        /// <param name="statistics">The statistics.</param>
        public void ReportStatistics(FeedStatistics statistics)
        {
            // TODO: Adjust to your email adress
            string recipient = "mail@yourdomain.xyz";
            
            var body = new StringBuilder();

            body.Append("Total Readers: ");
            body.Append(statistics.TotalReaders);

            body.Append("\n\nReaders by application: ");

            foreach (var application in statistics.ReadersByApplication.Keys.OrderBy(a => a))
            {
                body.Append("\n ");
                body.Append(application);
                body.Append(": ");
                body.Append(statistics.ReadersByApplication[application]);
            }

            var message = new MailMessage(recipient, recipient);

			message.Subject = "RSS Feed Statistics";
			message.Body = body.ToString();

			var client = new SmtpClient();
			client.Send(message);
        }
    }
}
