﻿using System.Collections.Generic;

namespace Palmmedia.FeedSubscriberCounter
{
    /// <summary>
    /// Data class containing the feed statistics.
    /// </summary>
    public class FeedStatistics
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="FeedStatistics"/> class.
        /// </summary>
        public FeedStatistics()
        {
            this.ReadersByApplication = new Dictionary<string, int>();
        }

        /// <summary>
        /// Gets or sets the number of total readers.
        /// </summary>
        public int TotalReaders { get; set; }

        /// <summary>
        /// Gets the readers by application.
        /// </summary>
        public IDictionary<string, int> ReadersByApplication { get; private set; }
    }
}
