﻿using System;

namespace Palmmedia.FeedSubscriberCounter
{
    /// <summary>
    /// Stores feed statistics.
    /// </summary>
    public interface IFeedStatisticsStore
    {
        /// <summary>
        /// Gets a value indicating whether a report should be send or not.
        /// </summary>
        bool SendReport { get; }

        /// <summary>
        /// Adds a single user.
        /// </summary>
        /// <param name="application">The application.</param>
        /// <param name="identfier">The identfier.</param>
        /// <param name="time">The time.</param>
        void AddSingleUser(string application, string identfier, DateTime time);

        /// <summary>
        /// Adds a feed aggregator.
        /// </summary>
        /// <param name="application">The application.</param>
        /// <param name="subscribers">The number of subscribers.</param>
        /// <param name="time">The time.</param>
        void AddFeedAggregator(string application, int subscribers, DateTime time);

        /// <summary>
        /// Gets the statistcs which should be reported.
        /// </summary>
        /// <returns>The statistcs which should be reported.</returns>
        FeedStatistics GetStatistcsToReport();
    }
}
